Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 9124)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 9169)
@@ -52,16 +52,14 @@
       !!              utau_ice, vtau_ice : surface ice stress (U- & V-points) [N/m2]
       !!-------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt      ! ocean time step
-      INTEGER, INTENT(in) ::   ksbc    ! type of sbc flux ( 1 = user defined formulation, 
-                                       !                    3 = bulk formulation,
-                                       !                    4 = Pure Coupled formulation)
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(out) ::   utau_ice, vtau_ice 
+      INTEGER                     , INTENT(in   ) ::   kt                   ! ocean time step
+      INTEGER                     , INTENT(in   ) ::   ksbc                 ! type of sbc flux
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(  out) ::   utau_ice, vtau_ice   ! air-ice stress   [N/m2]
       !!
       INTEGER  ::   ji, jj                 ! dummy loop index
       REAL(wp), DIMENSION(jpi,jpj) ::   zutau_ice, zvtau_ice 
       !!-------------------------------------------------------------------
-
+      !
       IF( ln_timing )   CALL timing_start('ice_forcing')
-
+      !
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
@@ -69,5 +67,5 @@
          WRITE(numout,*)'~~~~~~~~~~~~~~~'
       ENDIF
-
+      !
       SELECT CASE( ksbc )
          CASE( jp_usr     )   ;    CALL usrdef_sbc_ice_tau( kt )                 ! user defined formulation
@@ -75,5 +73,5 @@
          CASE( jp_purecpl )   ;    CALL sbc_cpl_ice_tau( utau_ice , vtau_ice )   ! Coupled      formulation
       END SELECT
-
+      !
       IF( ln_mixcpl) THEN                                                        ! Case of a mixed Bulk/Coupled formulation
                                    CALL sbc_cpl_ice_tau( zutau_ice , zvtau_ice )
@@ -86,5 +84,5 @@
          CALL lbc_lnk_multi( utau_ice, 'U', -1., vtau_ice, 'V', -1. )
       ENDIF
-
+      !
       IF( ln_timing )   CALL timing_stop('ice_forcing')
       !
@@ -255,17 +253,17 @@
    END SUBROUTINE ice_flx_dist
 
+
    SUBROUTINE ice_forcing_init
       !!-------------------------------------------------------------------
       !!                  ***  ROUTINE ice_forcing_init  ***
       !!
-      !! ** Purpose : Physical constants and parameters linked to the ice
-      !!      dynamics
-      !!
-      !! ** Method  :  Read the namforcing namelist and check the ice-dynamic
-      !!       parameter values called at the first timestep (nit000)
+      !! ** Purpose :   Physical constants and parameters linked to the ice dynamics
+      !!      
+      !! ** Method  :   Read the namforcing namelist and check the ice-dynamic
+      !!              parameter values called at the first timestep (nit000)
       !!
       !! ** input   :   Namelist namforcing
       !!-------------------------------------------------------------------
-      INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
+      INTEGER ::   ios, ioptio   ! Local integer
       !!
       NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_flxdist, nice_jules
@@ -274,15 +272,14 @@
       REWIND( numnam_ice_ref )         ! Namelist namforcing in reference namelist : Ice dynamics
       READ  ( numnam_ice_ref, namforcing, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namforcing in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namforcing in reference namelist', lwp )
       REWIND( numnam_ice_cfg )         ! Namelist namforcing in configuration namelist : Ice dynamics
       READ  ( numnam_ice_cfg, namforcing, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namforcing in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namforcing )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namforcing in configuration namelist', lwp )
+      IF(lwm) WRITE( numoni, namforcing )
       !
       IF(lwp) THEN                     ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'ice_forcing_init: ice parameters for ice dynamics '
-         WRITE(numout,*) '~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namforcing:'
          WRITE(numout,*) '      drag coefficient for oceanic stress              rn_cio     = ', rn_cio
